ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

HsLit

# Documentation

type PostTcKind = Kind

type PostTcType = Type

placeHolderType :: PostTcType

placeHolderKind :: PostTcKind

data HsLit

Constructors

HsChar Char |
HsCharPrim Char |
HsString FastString |
HsStringPrim ByteString |
HsInt Integer |
HsIntPrim Integer |
HsWordPrim Integer |
HsInt64Prim Integer |
HsWord64Prim Integer |
HsInteger Integer Type |
HsRat FractionalLit Type |
HsFloatPrim FractionalLit |
HsDoublePrim FractionalLit |

Instances

Eq HsLit |
Data HsLit |
Outputable HsLit |
Typeable * HsLit |

data HsOverLit id

Constructors

OverLit |

Fields

ol_val :: OverLitVal
ol_rebindable :: Bool
ol_witness :: SyntaxExpr id
ol_type :: PostTcType

Instances

Eq (HsOverLit id) |
Data id => Data (HsOverLit id) |
Ord (HsOverLit id) |
OutputableBndr id => Outputable (HsOverLit id) |
Typeable (* -> *) HsOverLit |

data OverLitVal

Constructors

HsIntegral !Integer |
HsFractional !FractionalLit |
HsIsString !FastString |

Instances

Eq OverLitVal |
Data OverLitVal |
Ord OverLitVal |
Outputable OverLitVal |
Typeable * OverLitVal |

overLitType :: HsOverLit a -> Type